Skip to main content
`Ctrl`+`K`

# PCMGSetX

Sets the vector to be used to store the solution on a particular level.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetX(PC pc, PetscInt l, Vec c)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) this is to be used for (do not supply the finest level)

- c - the Vec

## Note

If this is not provided PETSc will automatically generate one. You do not need to keep a reference to this vector if you do not need it. `PCDestroy()` will properly free it.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetRhs()`, `PCMGSetR()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages